{
    "name": "seller-gui-frontend-1.1",
    "version": "1.0.0",
    "private": true,
    "repository": "https://gitlab.com/greensight/ensi/seller-gui-frontend-1.1",
    "license": "MIT",
    "scripts": {
        "dev": "NODE_ENV=development ts-node -r dotenv/config src/server/dev.ts",
        "dev:measure": "MEASURE=true yarn dev",
        "eslint": "eslint . --ext .js,.ts,.tsx,.mdx --fix",
        "format": "prettier  . --write --ignore-path .prettierignore",
        "lint-staged": "lint-staged",
        "prod": "run-s prod:build prod:serve",
        "prod:build": "run-p prod:tsc prod:build:server prod:build:client",
        "prod:build:client": "NODE_ENV=production webpack --env.isClient",
        "prod:build:server": "NODE_ENV=production webpack",
        "prod:measure": "MEASURE=true yarn prod",
        "prod:serve": "NODE_ENV=production node -r dotenv/config build/server/prod.js",
        "prod:tsc": "yarn pnpify tsc -p tsconfig.server.json",
        "storybook": "start-storybook -s ./public -p 8080 --ci",
        "storybook:build": "build-storybook -o docs -s ./public",
        "storybook:serve": "serve docs -l 5000",
        "tokens": "gds-tokens",
        "tsc": "yarn pnpify tsc",
        "pre-commit": "run-p lint-staged tsc",
        "test": "jest",
        "test:coverage": "jest --coverage",
        "test:update": "jest -u",
        "test:watch": "jest --watch"
    },
    "husky": {
        "hooks": {
            "pre-commit": "yarn pre-commit"
        }
    },
    "lint-staged": {
        "*.{js,ts,tsx,mdx}": [
            "eslint --fix",
            "yarn format",
            "jest --findRelatedTests"
        ]
    },
    "browserslist": [
        "chrome >= 67",
        "ios >= 11",
        "safari >= 12",
        "firefox >= 67",
        "edge >= 17",
        "opera >= 60"
    ],
    "eslintIgnore": [
        "node_modules",
        "public",
        "build",
        "docs",
        "!/.storybook"
    ],
    "dependencies": {
        "@babel/core": "^7.12.10",
        "@babel/plugin-proposal-class-properties": "^7.12.1",
        "@babel/preset-env": "^7.12.10",
        "@babel/preset-react": "^7.12.10",
        "@babel/preset-typescript": "^7.12.7",
        "@babel/types": "^7.12.10",
        "@emotion/babel-preset-css-prop": "^10.0.27",
        "@emotion/core": "^10.0.28",
        "@emotion/css": "^10.0.27",
        "@emotion/jest": "^11.1.0",
        "@emotion/serialize": "^0.11.16",
        "@emotion/utils": "^0.11.3",
        "@greensight/gds": "^2.1.4",
        "@hot-loader/react-dom": "^17.0.0-rc.2",
        "@loadable/babel-plugin": "^5.13.2",
        "@loadable/component": "^5.13.2",
        "@loadable/server": "^5.13.2",
        "@loadable/webpack-plugin": "^5.13.0",
        "@mdx-js/loader": "^1.6.21",
        "@mdx-js/react": "^1.6.21",
        "@reduxjs/toolkit": "^1.4.0",
        "@storybook/addon-a11y": "^6.0.26",
        "@storybook/addon-actions": "^6.0.26",
        "@storybook/addon-backgrounds": "^6.0.26",
        "@storybook/addon-controls": "^6.0.26",
        "@storybook/addon-docs": "^6.0.26",
        "@storybook/addon-knobs": "^6.0.26",
        "@storybook/addon-viewport": "^6.0.26",
        "@storybook/client-api": "^6.0.26",
        "@storybook/react": "^6.0.26",
        "@storybook/theming": "^6.0.26",
        "@svgr/webpack": "^5.4.0",
        "@testing-library/jest-dom": "^5.11.6",
        "@testing-library/react": "^11.2.2",
        "@tinymce/tinymce-react": "^3.12.6",
        "@tippy.js/react": "^3.1.1",
        "@types/jest": "^26.0.20",
        "@types/testing-library__jest-dom": "^5.9.5",
        "@typescript-eslint/eslint-plugin": "^4.4.0",
        "@typescript-eslint/parser": "^4.4.0",
        "@yarnpkg/pnpify": "^2.3.2",
        "axios": "^0.20.0",
        "babel-jest": "^26.6.3",
        "babel-loader": "^8.2.2",
        "body-scroll-lock": "^3.1.5",
        "boxen": "^4.2.0",
        "browserslist": "^4.14.5",
        "chalk": "^4.1.0",
        "classnames": "^2.2.6",
        "cli-table3": "^0.6.0",
        "compression-webpack-plugin": "^6.0.2",
        "copy-webpack-plugin": "^6.2.0",
        "core-js": "^3.6.5",
        "css-loader": "^4.3.0",
        "date-fns": "^2.16.1",
        "deepequal": "^0.0.1",
        "deepmerge": "^4.2.2",
        "dotenv": "^8.2.0",
        "dotenv-webpack": "^5.1.0",
        "downshift": "^6.0.6",
        "emotion-theming": "^10.0.27",
        "eslint": "^7.10.0",
        "eslint-config-prettier": "^6.12.0",
        "eslint-import-resolver-node": "^0.3.4",
        "eslint-plugin-import": "^2.22.1",
        "eslint-plugin-jsx-a11y": "^6.3.1",
        "eslint-plugin-mdx": "^1.8.2",
        "eslint-plugin-react": "^7.21.3",
        "eslint-plugin-react-hooks": "^4.1.2",
        "expect": "^26.6.2",
        "express": "^4.17.1",
        "file-loader": "^6.1.0",
        "filepond": "^4.25.2",
        "filepond-plugin-file-validate-size": "^2.2.2",
        "filepond-plugin-file-validate-type": "^1.2.5",
        "filepond-plugin-image-preview": "^4.6.5",
        "formik": "^2.2.0",
        "helmet": "^3.23.3",
        "history": "^4.10.1",
        "html-minifier": "^4.0.0",
        "html-minifier-terser": "^5.1.1",
        "husky": "^4.3.0",
        "image-trace-loader": "^1.0.2",
        "imagemin-mozjpeg": "^9.0.0",
        "imagemin-webp-webpack-plugin": "^3.3.3",
        "imagemin-webpack-plugin": "^2.4.2",
        "ip": "^1.1.5",
        "jest": "^26.6.3",
        "jest-transform-stub": "^2.0.0",
        "jimp": "^0.16.1",
        "js-video-url-parser": "^0.4.3",
        "lazysizes": "^5.2.2",
        "lint-staged": "^10.4.0",
        "mini-css-extract-plugin": "^1.0.0",
        "nanoid": "^3.1.20",
        "newrelic": "^6.13.1",
        "npm-run-all": "^4.1.5",
        "null-loader": "^4.0.0",
        "optimize-css-assets-webpack-plugin": "^5.0.4",
        "pnp-webpack-plugin": "^1.6.4",
        "polished": "^4.0.2",
        "prettier": "^2.1.2",
        "rc-slider": "^9.7.1",
        "react": "17.0.0",
        "react-accessible-accordion": "^3.3.3",
        "react-beautiful-dnd": "^13.1.0",
        "react-color": "^2.19.3",
        "react-cookie": "^4.0.3",
        "react-datepicker": "^3.6.0",
        "react-docgen-typescript-loader": "^3.7.2",
        "react-dom": "17.0.0",
        "react-error-boundary": "^3.1.1",
        "react-filepond": "^7.1.1",
        "react-helmet-async": "^1.0.7",
        "react-hot-loader": "^4.13.0",
        "react-id-swiper": "^3.0.0",
        "react-imask": "^6.0.7",
        "react-is": "^16.13.1",
        "react-loading-skeleton": "^2.1.1",
        "react-media": "^1.10.0",
        "react-modal": "^3.11.2",
        "react-redux": "^7.2.1",
        "react-router-dom": "^5.2.0",
        "react-select": "^4.1.0",
        "react-table": "^7.6.3",
        "react-tabs": "^3.1.1",
        "react-textarea-autosize": "^8.2.0",
        "react-transition-group": "^4.4.1",
        "redux": "^4.0.5",
        "redux-thunk": "^2.3.0",
        "regenerator-runtime": "^0.13.7",
        "responsive-loader": "^1.2.0",
        "serve": "^11.3.2",
        "speed-measure-webpack-plugin": "^1.3.3",
        "swiper": "^5.4.5",
        "terser-webpack-plugin": "^4.2.3",
        "tippy.js": "^6.2.6",
        "ts-node": "^9.0.0",
        "typescript": "^4.0.3",
        "ua-parser-js": "^0.7.22",
        "universal-cookie-express": "^4.0.3",
        "url-loader": "^4.1.0",
        "webpack": "^4.44.2",
        "webpack-bundle-analyzer": "^3.9.0",
        "webpack-cli": "^3.3.12",
        "webpack-dev-middleware": "^3.7.2",
        "webpack-hot-middleware": "^2.25.0",
        "webpack-hot-server-middleware": "^0.6.1",
        "webpack-merge": "^5.2.0",
        "webpack-node-externals": "^2.5.2",
        "yup": "^0.29.3"
    },
    "devDependencies": {
        "@types/babel__core": "7.1.10",
        "@types/body-scroll-lock": "2.6.1",
        "@types/boxen": "3.0.1",
        "@types/browserslist": "4.8.0",
        "@types/chalk": "2.2.0",
        "@types/classnames": "2.2.11",
        "@types/compression-webpack-plugin": "4.0.1",
        "@types/copy-webpack-plugin": "6.0.0",
        "@types/core-js": "2.5.4",
        "@types/deepmerge": "2.2.0",
        "@types/dotenv-webpack": "5.0.0",
        "@types/eslint": "7.2.4",
        "@types/eslint-plugin-prettier": "3.1.0",
        "@types/express": "4.17.9",
        "@types/file-loader": "4.2.0",
        "@types/helmet": "0.0.48",
        "@types/history": "4.7.8",
        "@types/html-minifier": "4.0.0",
        "@types/ip": "1.1.0",
        "@types/loadable__component": "5.13.1",
        "@types/loadable__server": "5.12.3",
        "@types/loadable__webpack-plugin": "5.7.1",
        "@types/mdx-js__react": "1.5.3",
        "@types/mini-css-extract-plugin": "0.9.1",
        "@types/newrelic": "6.4.1",
        "@types/node": "14.14.13",
        "@types/optimize-css-assets-webpack-plugin": "5.0.1",
        "@types/prettier": "2.1.1",
        "@types/react": "17.0.0",
        "@types/react-beautiful-dnd": "13.0.0",
        "@types/react-color": "3.0.4",
        "@types/react-datepicker": "3.1.5",
        "@types/react-dom": "17.0.0",
        "@types/react-is": "17.0.0",
        "@types/react-modal": "3.10.6",
        "@types/react-redux": "7.1.9",
        "@types/react-router-dom": "5.1.6",
        "@types/react-select": "4.0.13",
        "@types/react-table": "7.0.28",
        "@types/react-textarea-autosize": "4.3.5",
        "@types/react-transition-group": "4.4.0",
        "@types/swiper": "5.4.0",
        "@types/terser-webpack-plugin": "4.2.0",
        "@types/ua-parser-js": "0.7.33",
        "@types/webpack": "4.41.25",
        "@types/webpack-bundle-analyzer": "3.8.0",
        "@types/webpack-dev-middleware": "3.7.2",
        "@types/webpack-hot-middleware": "2.25.3",
        "@types/webpack-merge": "4.1.5",
        "@types/webpack-node-externals": "2.5.0",
        "@types/yup": "0.29.8"
    },
    "engines": {
        "node": ">= 11.7.0"
    }
}
